Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_pisces_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_pisces_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_pisces_cfg	(revision 9301)
@@ -1,63 +1,132 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! PISCES  :   Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_pis_ref
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
+&nampismod     !  Model used 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampisext     !   air-sea exchange
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &nampisatm     !  Atmospheric prrssure 
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &nampisbio     !   biological parameters
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampislim     !   parameters for nutrient limitations
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namp4zlim     !   parameters for nutrient limitations for PISCES std - ln_p4z
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
+&namp5zlim     !   parameters for nutrient limitations PISCES QUOTA - ln_p5z
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namp5zquota    !   parameters for nutrient limitations PISCES quota - ln_p5z
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampisopt     !   parameters for optics
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 / 
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampisprod     !   parameters for phytoplankton growth
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namp4zprod     !   parameters for phytoplankton growth for PISCES std - ln_p4z
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampismort     !   parameters for phytoplankton sinks
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namp5zprod     !   parameters for phytoplankton growth for PISCES quota - ln_p5z
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampismes     !   parameters for mesozooplankton
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namp4zmort     !   parameters for phytoplankton sinks for PISCES std - ln_p4z
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&nampiszoo     !   parameters for microzooplankton
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namp5zmort     !   parameters for phytoplankton sinks for PISCES quota - ln_p5z
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
+&namp4zmes     !   parameters for mesozooplankton for PISCES std - ln_p4z
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namp5zmes     !   parameters for mesozooplankton
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namp4zzoo     !   parameters for microzooplankton for PISCES std - ln_p4z
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namp5zzoo     !   parameters for microzooplankton
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampisfer     !   parameters for iron chemistry
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/  
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------  
 &nampisrem     !   parameters for remineralization
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
+&nampispoc     !   parameters for organic particles
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampiscal     !   parameters for Calcite chemistry
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &nampissbc     !   parameters for inputs deposition
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
+&nampislig      !  Namelist parameters for ligands, nampislig
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nampisice      !  Prescribed sea ice tracers
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampisdmp     !  Damping 
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &nampismass     !  Mass conservation
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&namlobphy     !   biological parameters for phytoplankton
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobnut     !   biological parameters for nutrients
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobzoo     !   biological parameters for zooplankton
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobdet     !   biological parameters for detritus
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobdom     !   biological parameters for DOM
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobsed     !   parameters from aphotic layers to sediment
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobrat     !   general coefficients
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlobopt     !   optical parameters
+!-----------------------------------------------------------------------
+/
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_top_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_top_cfg	(revision 9301)
@@ -3,11 +3,11 @@
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
-&namtrc_run     !   run information
+&namtrc_run      !   run information
 !-----------------------------------------------------------------------
    ln_top_euler  = .true.
 /
 !-----------------------------------------------------------------------
-&namtrc     !   tracers definition
-!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------a
    jp_bgc        =  24
 !
@@ -49,4 +49,8 @@
 /
 !-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtrc_dta      !    Initialisation from data input file
 !-----------------------------------------------------------------------
@@ -71,5 +75,5 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_adv    !   advection scheme for passive tracer                  (default: NO selection)
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
 !-----------------------------------------------------------------------
    ln_trcadv_mus =  .true.  !  MUSCL scheme
@@ -77,13 +81,13 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namtrc_rad        !  treatment of negative concentrations 
+&namtrc_rad      !  treatment of negative concentrations 
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namtrc_dmp      !   passive tracer newtonian damping
+&namtrc_dmp      !   passive tracer newtonian damping   
 !-----------------------------------------------------------------------
 /
@@ -94,5 +98,4 @@
 !-----------------------------------------------------------------------
 &namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
-!                          or mixed-layer trends                        ('key_trdmld_trc')
 !----------------------------------------------------------------------
 /
@@ -104,2 +107,3 @@
 &namtrc_bdy      !   Setup of tracer boundary conditions
 !-----------------------------------------------------------------------
+/
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces_cfg	(revision 9301)
@@ -1,13 +1,2 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! PISCES reference namelist 
-!!              1  - air-sea exchange                         (nampisext)
-!!              2  - biological parameters                    (nampisbio)
-!!              3  - parameters for nutrient limitations      (nampislim)    
-!!              4  - parameters for phytoplankton             (nampisprod,nampismort)
-!!              5  - parameters for zooplankton               (nampismes,nampiszoo)
-!!              6  - parameters for remineralization          (nampisrem)
-!!              7  - parameters for calcite chemistry         (nampiscal)
-!!              8  - parameters for inputs deposition         (nampissed)
-!!              11 - Damping                                  (nampisdmp)
 !-----------------------------------------------------------------------
 &nampismod     !  Model used 
@@ -47,7 +36,7 @@
 !-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &namp5zprod     !   parameters for phytoplankton growth for PISCES quota - ln_p5z
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -112,15 +101,4 @@
 !-----------------------------------------------------------------------
 /
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! PISCES reduced (key_pisces_reduced, ex LOBSTER) : namelists
-!!              1  - biological parameters for phytoplankton    (namlobphy)
-!!              2  - biological parameters for nutrients        (namlobnut)
-!!              3  - biological parameters for zooplankton      (namlobzoo)    
-!!              4  - biological parameters for detritus         (namlobdet)
-!!              5  - biological parameters for DOM              (namlobdom)
-!!              6  - parameters from aphotic layers to sediment (namlobsed)
-!!              7  - general coefficients                       (namlobrat)
-!!              8  - optical parameters                         (namlobopt)
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
 &namlobphy     !   biological parameters for phytoplankton
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg	(revision 9301)
@@ -3,11 +3,11 @@
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
-&namtrc_run     !   run information
+&namtrc_run      !   run information
 !-----------------------------------------------------------------------
    ln_top_euler  = .true.
 /
 !-----------------------------------------------------------------------
-&namtrc     !   tracers definition
-!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------a
    jp_bgc        =  24
 !
@@ -49,4 +49,8 @@
 /
 !-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtrc_dta      !    Initialisation from data input file
 !-----------------------------------------------------------------------
@@ -71,5 +75,5 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_adv    !   advection scheme for passive tracer                  (default: No selection)
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
 !-----------------------------------------------------------------------
    ln_trcadv_mus =  .true.  !  MUSCL scheme
@@ -77,17 +81,13 @@
 /
 !-----------------------------------------------------------------------
-&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer 
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namtrc_zdf        !   vertical physics
+&namtrc_rad      !  treatment of negative concentrations 
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namtrc_rad        !  treatment of negative concentrations 
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_dmp      !   passive tracer newtonian damping
+&namtrc_dmp      !   passive tracer newtonian damping   
 !-----------------------------------------------------------------------
 /
@@ -98,5 +98,4 @@
 !-----------------------------------------------------------------------
 &namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
-!                          or mixed-layer trends                        ('key_trdmld_trc')
 !----------------------------------------------------------------------
 /
@@ -108,2 +107,3 @@
 &namtrc_bdy      !   Setup of tracer boundary conditions
 !-----------------------------------------------------------------------
+/
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_cfg	(revision 9301)
@@ -1,5 +1,2 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  :  ORCA2_OFF_PISCES configuration namelist used ot overwrite SHARED/namelist_ref
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
 &namrun        !   parameters of the run
@@ -13,5 +10,5 @@
 /
 !-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration
+&namcfg        !   parameters of the configuration                     !   (default: user defined GYRE)
 !-----------------------------------------------------------------------
    ln_read_cfg = .true.    !  (=T) read the domain configuration file
@@ -20,10 +17,5 @@
 /
 !-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-   ln_zps      = .true.    !  z-coordinate - partial steps
-/
-!-----------------------------------------------------------------------
-&namdom        !   space and time domain (bathymetry, mesh, timestep)
+&namdom        !   time and space domain
 !-----------------------------------------------------------------------
    ln_linssh   = .true.   !  =T  linear free surface  ==>>  model level are fixed in time
@@ -32,9 +24,26 @@
 /
 !-----------------------------------------------------------------------
-&namlbc        !   lateral momentum boundary condition
-!-----------------------------------------------------------------------
-   !                       !  free slip  !   partial slip  !   no slip   ! strong slip
-   rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
-   ln_vorlat   = .false.   !  consistency of vorticity boundary condition with analytical Eqs.
+&namtsd        !   data : Temperature  & Salinity
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namwad  !   Wetting and drying  default it no WAD
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namcrs        !   coarsened grid (for outputs and/or TOP)              (ln_crs =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d        !   1D configuration options                             ("key_c1d")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 ("key_c1d")
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -47,18 +56,101 @@
 /
 !-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  Bulk formulae
+&namsbc_flx    !   surface boundary condition : flux formulation
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk =T)
 !-----------------------------------------------------------------------
    ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
 /
 !-----------------------------------------------------------------------
-&namtra_qsr    !   penetrative solar radiation
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_ssr    !   surface boundary condition : sea surface restoring
-!-----------------------------------------------------------------------
-/      
-!-----------------------------------------------------------------------
-&nambbl        !   bottom boundary layer scheme
+&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_sas    !   Stand-Alone Surface boundary condition
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_iif    !   Ice-IF : use observed ice cover                      (nn_ice = 1)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_rnf    !   runoffs namelist surface boundary condition          (ln_rnf =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)                              (nn_isf >0)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_iscpl  !   land ice / ocean coupling option                     
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_apr    !   Atmospheric pressure used as ocean forcing           (ln_apr_dyn =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring   (ln_ssr =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc_wave   ! External fields from wave model                        (ln_wave=T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namberg       !   iceberg parameters                                   (default: No iceberg)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition
+!-----------------------------------------------------------------------
+   !                       !  free slip  !   partial slip  !   no slip   ! strong slip
+   rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+   ln_vorlat   = .false.   !  consistency of vorticity boundary condition with analytical Eqs.
+/
+!-----------------------------------------------------------------------
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_tide      !   tide parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_dta    !  open boundaries - external data                       
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambdy_tide   !  tidal forcing at open boundaries
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdrg            !   top/bottom drag coefficient                      (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdrg_top        !   TOP friction                                     (ln_isfcav=T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdrg_bot        !   BOTTOM friction                                  
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambbc        !   bottom temperature boundary condition                (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme                         (default: NO)
 !-----------------------------------------------------------------------
    ln_trabbl   = .true.    !  Bottom Boundary Layer parameterisation flag
@@ -69,11 +161,19 @@
 /
 !-----------------------------------------------------------------------
-&nameos        !   ocean physical parameters
+&nameos        !   ocean Equation Of Seawater                           (default: NO)
 !-----------------------------------------------------------------------
    ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
-!----------------------------------------------------------------------------------
-&namtra_ldf    !   lateral diffusion scheme for tracers
-!----------------------------------------------------------------------------------
+!-----------------------------------------------------------------------
+&namtra_adv    !   advection scheme for tracer                          (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper param) (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_ldf    !   lateral diffusion scheme for tracers                 (default: NO selection)
+!-----------------------------------------------------------------------
    !                       !  Operator type:
    ln_traldf_NONE  =  .false.  ! No explicit diffusion
@@ -105,7 +205,7 @@
    rn_bht_0        = 1.e+12    !  lateral eddy diffusivity (bilap. operator) [m4/s]
 /
-!----------------------------------------------------------------------------------
-&namtra_ldfeiv !   eddy induced velocity param.
-!----------------------------------------------------------------------------------
+!-----------------------------------------------------------------------
+&namtra_ldfeiv !   eddy induced velocity param.                         (default: NO)
+!-----------------------------------------------------------------------
    ln_ldfeiv     =.true.   ! use eddy induced velocity parameterization
    ln_ldfeiv_dia =.false.   ! diagnose eiv stream function and velocities
@@ -120,8 +220,118 @@
 /
 !-----------------------------------------------------------------------
-&namdta_dyn        !   offline dynamics read in files                ("key_offline")
-!-----------------------------------------------------------------------
-!          !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!          !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+&namtra_dmp    !   tracer: T & S newtonian damping                      (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_vvl       !   vertical coordinate options                             (default: z-star)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_hpg    !   Hydrostatic pressure gradient option                 (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_spg    !   surface pressure gradient                            (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdyn_ldf    !   lateral diffusion on momentum                        (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf        !   vertical physics                                     (default: NO selection)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_ric    !   richardson number dependent vertical diffusion       (ln_zdfric =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_gls    !   GLS vertical diffusion                               (ln_zdfgls =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_osm                !   OSM vertical diffusion                   (ln_zdfosm =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namzdf_iwm    !    internal wave-driven mixing parameterization        (ln_zdfiwm =T)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsto        ! Stochastic parametrization of EOS                      (default: NO)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrd        !   trend diagnostics                                    (default F)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namptr        !   Poleward Transport Diagnostic                         (default F)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namhsb        !  Heat and salt budgets                                  (default F)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdiu        !   Cool skin and warm layer models                       (default F)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namflo        !   float parameters                                      ("key_float")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_diaharm   !   Harmonic analysis of tidal constituents               ("key_diaharm")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdct        ! transports through some sections                        ("key_diadct")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_diatmb    !  Top Middle Bottom Output                               (default F)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_dia25h    !  25h Mean Output                                        (default F)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namnc4        !   netcdf4 chunking and compression settings             ("key_netcdf4")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namobs        !  observation usage switch
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_asminc    !   assimilation increments                              ('key_asminc')
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdta_dyn        !   offline dynamics read in files                   ("key_offline")
+!-----------------------------------------------------------------------
 !          !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
 !          !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
@@ -146,10 +356,3 @@
 !   fwbcorr      = 3.786e-06    ! annual global mean of empmr for ssh correction
 /
-!-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namctl        !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-/
+
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_top_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_top_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_top_cfg	(revision 9301)
@@ -1,12 +1,2 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/TOP1 :   - tracer run information                (namtrc_run)
-!!               - tracer definition                     (namtrc    )
-!!               - tracer data initialisation            (namtrc_dta)
-!!               - tracer advection                      (namtrc_adv)
-!!               - tracer lateral diffusion              (namtrc_ldf)
-!!               - tracer vertical physics               (namtrc_zdf)
-!!               - tracer newtonian damping              (namtrc_dmp)
-!!               - dynamical tracer trends               (namtrc_trd)
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !-----------------------------------------------------------------------
 &namtrc_run      !   run information
@@ -27,9 +17,13 @@
 /
 !-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtrc_dta      !    Initialisation from data input file
 !-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
-&namtrc_adv      !   advection scheme for passive tracer 
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
 !-----------------------------------------------------------------------
    ln_trcadv_fct =  .true.  !  FCT scheme
@@ -39,8 +33,4 @@
 !-----------------------------------------------------------------------
 &namtrc_ldf      !   lateral diffusion scheme for passive tracer 
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtrc_zdf      !   vertical physics
 !-----------------------------------------------------------------------
 /
@@ -59,5 +49,4 @@
 !-----------------------------------------------------------------------
 &namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
-!                          or mixed-layer trends                        ('key_trdmld_trc')
 !----------------------------------------------------------------------
 /
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_trc_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_trc_cfg	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_OFF_TRC/EXP00/namelist_trc_cfg	(revision 9301)
@@ -1,32 +1,16 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! Inert tracers reference namelist 
-!!       1  - AGE                (namage)
-!!       1  - CFC                (namcfc)
-!!       2  - C14               (namc14_typ, namc14_sbc, namc14_fcg)
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namage         !   AGE - dates
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namcfc     !   CFC 
+!-----------------------------------------------------------------------
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namcfc     !   CFC 
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namc14_typ     !  C14 - type of C14 tracer, default values of C14/C and pco2
+!-----------------------------------------------------------------------
 /
-!
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namc14_typ     !  C14 - type of C14 tracer, default values of C14/C and pco2
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namc14_sbc     !  C14 - surface BC
+!-----------------------------------------------------------------------
 /
-!
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namc14_sbc     !  C14 - surface BC
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
+&namc14_fcg     !  files & dates
+!-----------------------------------------------------------------------
 /
-!
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namc14_fcg     !  files & dates
-!               !  For Paleo-historical: specify tyrc14_beg in yr BP
-!               !  For Bomb: tyrc14_beg=0
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-/
-!
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref	(revision 9301)
@@ -395,15 +395,15 @@
 &nampisice      !  Prescribed sea ice tracers
 !-----------------------------------------------------------------------
-! constant ocean tracer concentrations are defined in trcice_pisces.F90 (Global, Arctic, Antarctic and Baltic)
-! trc_ice_ratio     * betw 0 and 1: prescribed ice/ocean tracer concentration ratio
-!                   * -1 => the ice-ocean tracer concentration ratio follows the 
-!                           ice-ocean salinity ratio
-!                   * -2 => tracer concentration in sea ice is prescribed and 
-!                           trc_ice_prescr is used
-! trc_ice_prescr    * prescribed tracer concentration. used only if 
-!                     trc_ice_ratio = -2. equals -99 if not used.
-! cn_trc_o          * 'GL' use global ocean values making the Baltic distinction only
-!                     'AA' use specific Arctic/Antarctic/Baltic values
-!-----------------------------------------------------------------------
+!! constant ocean tracer concentrations are defined in trcice_pisces.F90 (Global, Arctic, Antarctic and Baltic)
+!! trc_ice_ratio     * betw 0 and 1: prescribed ice/ocean tracer concentration ratio
+!!                  * -1 => the ice-ocean tracer concentration ratio follows the 
+!!                           ice-ocean salinity ratio
+!!                   * -2 => tracer concentration in sea ice is prescribed and 
+!!                           trc_ice_prescr is used
+!! trc_ice_prescr    * prescribed tracer concentration. used only if 
+!!                     trc_ice_ratio = -2. equals -99 if not used.
+!! cn_trc_o          * 'GL' use global ocean values making the Baltic distinction only
+!!                     'AA' use specific Arctic/Antarctic/Baltic values
+!!-----------------------------------------------------------------------
 !    sn_tri_ ! trc_ice_ratio ! trc_ice_prescr !     cn_trc_o
    sn_tri_dic =           -1.,           -99.,          'AA'
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9269)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 9301)
@@ -1265,2 +1265,27 @@
     nn_divdmp  = 0         !  Number of iterations of divergence damping operator
 /
+!-----------------------------------------------------------------------
+&namdta_dyn        !   offline dynamics read in files                   ("key_offline")
+!-----------------------------------------------------------------------
+!          !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!          !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_tem  = 'dyna_grid_T' ,    120            , 'votemper' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_sal  = 'dyna_grid_T' ,    120            , 'vosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_mld  = 'dyna_grid_T' ,    120            , 'somixhgt' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_emp  = 'dyna_grid_T' ,    120            , 'sowaflup' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_fmf  = 'dyna_grid_T' ,    120            , 'iowaflup' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_ice  = 'dyna_grid_T' ,    120            , 'soicecov' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_qsr  = 'dyna_grid_T' ,    120            , 'soshfldo' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_wnd  = 'dyna_grid_T' ,    120            , 'sowindsp' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_uwd  = 'dyna_grid_U' ,    120            , 'uocetr_eff' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_vwd  = 'dyna_grid_V' ,    120            , 'vocetr_eff' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_wwd  = 'dyna_grid_W' ,    120            , 'wocetr_eff' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_avt  = 'dyna_grid_W' ,    120            , 'voddmavs' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_ubl  = 'dyna_grid_U' ,    120            , 'sobblcox' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+   sn_vbl  = 'dyna_grid_V' ,    120            , 'sobblcoy' ,  .true.    , .true. ,   'yearly'  , ''       , ''    , ''
+!
+   cn_dir          = './'       !  root directory for the location of the dynamical files
+   ln_dynrnf       =  .false.   !  runoffs option enabled (T) or not (F)
+   ln_dynrnf_depth =  .false.   ! runoffs is spread in vertical (T) or not (F)
+!   fwbcorr      = 3.786e-06    ! annual global mean of empmr for ssh correction
+/