Index: /branches/NERC/dev_r5518_GO6_CO2_cmip/NEMOGCM/NEMO/TOP_SRC/MEDUSA/air_sea.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_CO2_cmip/NEMOGCM/NEMO/TOP_SRC/MEDUSA/air_sea.F90	(revision 9331)
+++ /branches/NERC/dev_r5518_GO6_CO2_cmip/NEMOGCM/NEMO/TOP_SRC/MEDUSA/air_sea.F90	(revision 9332)
@@ -258,28 +258,36 @@
                !!          must be associated to air-sea flux or air xCO2...
                !!          Check MOCSY outputs
-              IF ( (f_pco2w(ji,jj) > 1.E4 ).OR.(f_pco2w(ji,jj) < 0.0 ) .OR.     &
-                   (f_fco2w(ji,jj) > 1.E4 ).OR.(f_fco2w(ji,jj) < 0.0 ) .OR.     &   
-                   (f_fco2atm(ji,jj) > 1.E4 ).OR.(f_fco2atm(ji,jj) < 0.0 ) .OR.     &
-                   (f_co2flux(ji,jj) > 1.E-1 ).OR.(f_co2flux(ji,jj) < -1.E-1 ) .OR.     &
-                   (f_dpco2(ji,jj) > 1.E4 ).OR.(f_dpco2(ji,jj) < -1.E4 ) ) THEN
-                 IF(lwp) THEN 
-                     WRITE(numout,*) ' surface T = ',ztmp(ji,jj)
-                     WRITE(numout,*) ' surface S = ',zsal(ji,jj)
-                     WRITE(numout,*) ' surface ALK = ',zalk(ji,jj)
-                     WRITE(numout,*) ' surface DIC = ',zdic(ji,jj)
-                     WRITE(numout,*) ' KW660 = ',f_kw660(ji,jj)
-                     WRITE(numout,*) ' atm xCO2 = ',f_xco2a(ji,jj)   
-                     WRITE(numout,*) ' surface pco2w  = ',f_pco2w(ji,jj)
-                     WRITE(numout,*) ' surface fco2w  = ',f_fco2w(ji,jj)
-                     WRITE(numout,*) ' surface fco2a  = ',f_fco2atm(ji,jj)
-                     WRITE(numout,*) ' surface co2flx = ',f_co2flux(ji,jj)
-                     WRITE(numout,*) ' surface dpco2  = ',f_dpco2(ji,jj)
-                     WRITE(numout,*) ' MOCSY output: ji =', mig(ji),' jj = ', mjg(jj),  &
-                                       ' kt = ', kt     
-                     WRITE(numout,*) 'MEDUSA - Air-Sea OUTPUT: unrealistic surface Carb. Chemistry'
-                 ENDIF     
-                 CALL ctl_stop( 'MEDUSA - Air-Sea OUTPUT: ',            &
-                                'unrealistic surface Carb. Chemistry -- OUTPUTS' )
-              ENDIF     
+               !!===================
+               !! Jpalm -- 19-02-2018 -- remove the cap - only check MOCSY inputs
+               !!       because of specific area in arabic sea where strangely
+               !!       with core 2 forcing, ALK is lower than DIC and result in 
+               !!       Enormous dpco2 - even if all carb chem caract are OK.
+               !!       and this check stops the model.
+               !!       ==> let's run the model without it and see how it goes.
+               !!===================
+               !!IF ( (f_pco2w(ji,jj) > 1.E4 ).OR.(f_pco2w(ji,jj) < 0.0 ) .OR.     &
+               !!    (f_fco2w(ji,jj) > 1.E4 ).OR.(f_fco2w(ji,jj) < 0.0 ) .OR.     &   
+               !!    (f_fco2atm(ji,jj) > 1.E4 ).OR.(f_fco2atm(ji,jj) < 0.0 ) .OR.     &
+               !!    (f_co2flux(ji,jj) > 1.E-1 ).OR.(f_co2flux(ji,jj) < -1.E-1 ) .OR.     &
+               !!    (f_dpco2(ji,jj) > 1.E4 ).OR.(f_dpco2(ji,jj) < -1.E4 ) ) THEN
+               !!  IF(lwp) THEN 
+               !!      WRITE(numout,*) ' surface T = ',ztmp(ji,jj)
+               !!      WRITE(numout,*) ' surface S = ',zsal(ji,jj)
+               !!      WRITE(numout,*) ' surface ALK = ',zalk(ji,jj)
+               !!      WRITE(numout,*) ' surface DIC = ',zdic(ji,jj)
+               !!      WRITE(numout,*) ' KW660 = ',f_kw660(ji,jj)
+               !!      WRITE(numout,*) ' atm xCO2 = ',f_xco2a(ji,jj)   
+               !!      WRITE(numout,*) ' surface pco2w  = ',f_pco2w(ji,jj)
+               !!      WRITE(numout,*) ' surface fco2w  = ',f_fco2w(ji,jj)
+               !!      WRITE(numout,*) ' surface fco2a  = ',f_fco2atm(ji,jj)
+               !!      WRITE(numout,*) ' surface co2flx = ',f_co2flux(ji,jj)
+               !!      WRITE(numout,*) ' surface dpco2  = ',f_dpco2(ji,jj)
+               !!      WRITE(numout,*) ' MOCSY output: ji =', mig(ji),' jj = ', mjg(jj),  &
+               !!                        ' kt = ', kt     
+               !!      WRITE(numout,*) 'MEDUSA - Air-Sea OUTPUT: unrealistic surface Carb. Chemistry'
+               !!  ENDIF     
+               !!  CALL ctl_stop( 'MEDUSA - Air-Sea OUTPUT: ',            &
+               !!                 'unrealistic surface Carb. Chemistry -- OUTPUTS' )
+               !!ENDIF     
             ENDIF
          ENDDO