Index: /branches/2017/dev_merge_2017/DOC/LaTeX2HTML.sh
===================================================================
--- /branches/2017/dev_merge_2017/DOC/LaTeX2HTML.sh	(revision 9359)
+++ /branches/2017/dev_merge_2017/DOC/LaTeX2HTML.sh	(revision 9360)
@@ -3,5 +3,5 @@
 sed -i -e 's#\\documentclass#%\\documentclass#' -e '/{document}/ s/^/%/' TexFiles/Chapters/*.tex
 sed -i    '30,${s#\\subfile{#\\include{#g}'                              NEMO_book.tex
-latex NEMO_book && makeindex NEMO_book && bibtex NEMO_book
+latex -shell-escape NEMO_book && makeindex NEMO_book && bibtex NEMO_book
 mkdir -p html
 latex2html -local_icons -no_footnode -split 4 -link 2 -dir html $*
Index: /branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Chap_STP.tex
===================================================================
--- /branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Chap_STP.tex	(revision 9359)
+++ /branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Chap_STP.tex	(revision 9360)
@@ -285,5 +285,7 @@
 \label{STP_rst}
 %--------------------------------------------namrun-------------------------------------------
-\namdisplay{namrun}         
+%\namdisplay{namrun}
+\lstinputlisting{Namelists/namrun}
+%\inputminted[fontsize=\tiny, breaklines=true, breakanywhere]{fortran}{Namelists/namrun}
 %--------------------------------------------------------------------------------------------------------------
 
Index: /branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Introduction.tex
===================================================================
--- /branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Introduction.tex	(revision 9359)
+++ /branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Introduction.tex	(revision 9360)
@@ -107,8 +107,8 @@
 The namelist allows to input variables (character, logical, real and integer) into the code. There is one namelist file for each component of NEMO (dynamics, sea-ice, biogeochemistry...) containing all the FOTRAN namelists needed. The implementation in NEMO uses a two step process. For each FORTRAN namelist, two files are read:
 \begin{enumerate}
-\item A reference namelist ( in \textit{CONFIG/SHARED/namelist\_ref} ) is read first. This file contains all the namelist variables which are initialised to default values  
-\item A configuration namelist ( in \textit{CONFIG/CFG\_NAME/EXP00/namelist\_cfg} ) is read aferwards. This file contains only the namelist variables which are changed from default values, and overwrites those.
-\end{enumerate}
-A template can be found in \textit{NEMO/OPA\_SRC/module.example}
+\item A reference namelist (in \path{CONFIG/SHARED/namelist_ref}) is read first. This file contains all the namelist variables which are initialised to default values  
+\item A configuration namelist (in \path{CONFIG/CFG_NAME/EXP00/namelist_cfg}) is read aferwards. This file contains only the namelist variables which are changed from default values, and overwrites those.
+\end{enumerate}
+A template can be found in \path{NEMO/OPA_SRC/module.example}.
 The effective namelist, taken in account during the run, is stored at execution time in an output\_namelist\_dyn (or \_ice or \_top) file.
  \vspace{1cm}
Index: /branches/2017/dev_merge_2017/DOC/TexFiles/Preamble.tex
===================================================================
--- /branches/2017/dev_merge_2017/DOC/TexFiles/Preamble.tex	(revision 9359)
+++ /branches/2017/dev_merge_2017/DOC/TexFiles/Preamble.tex	(revision 9360)
@@ -20,11 +20,6 @@
 %\WarningsOff*
 
-%\usepackage[french]{babel}
-%\usepackage{color}
 \usepackage{graphicx}			                   % allows insertion of pictures
-%\usepackage{graphics}			                   % allows insertion of pictures
 \graphicspath{{Figures/}}                                  % Set global directory for pictures
-%\DeclareGraphicsExtensions{.pdf,.eps}                      % Use .eps for LaTeX2HTML
-%\usepackage{xcolor}                                       % Incompatibility with color -> graphicx
 \usepackage[capbesideposition={top,center}]{floatrow}      % allows captions
 \floatsetup[table]{style=plaintop}                         % beside pictures
@@ -33,7 +28,7 @@
 \usepackage{enumitem}                                      % allows non-bold description items
 \usepackage{longtable}                                     % allows multipage tables
-%\usepackage{colortbl}                                     % gives coloured panels behind table columns
 
 %hyperref
+\usepackage[obeyspaces]{url}
 \usepackage[pdftitle={NEMO ocean engine},pdfauthor={Gurvan Madec},pdfstartview=FitH,
 bookmarks=true,bookmarksopen=true,breaklinks=true,colorlinks=true,
@@ -190,2 +185,31 @@
 
 \DeclareMathAlphabet{\mathpzc}{OT1}{pzc}{m}{it}
+
+\usepackage{hyphenat}
+\hyphenation{AGRIF FORTRAN NEMOVAR bi-laplacian off-line on-line sea-ice well-known}
+
+%% Add source code highlighting
+%% From LaTeX Wikibooks https://en.wikibooks.org/wiki/LaTeX/Source_Code_Listings
+\usepackage{listings}
+\usepackage{xcolor}
+%% Colors from Trac default style
+\definecolor{backgroundcode}{HTML}{f8f8f8}
+\definecolor{graycode}{HTML}{666666}
+\definecolor{greencode}{HTML}{008800}
+\definecolor{purplecode}{HTML}{AA22FF}
+\definecolor{redcode}{HTML}{BB4444}
+\definecolor{yellowcode}{HTML}{B8860B}
+\lstset{language=[90]Fortran,
+  backgroundcolor=\color{backgroundcode},
+  basicstyle=\tiny,
+  breaklines=true,
+  commentstyle=\color{greencode},
+  identifierstyle=\color{yellowcode},
+  keywordstyle=\color{purplecode},
+  numberstyle=\color{graycode},
+  stringstyle=\color{redcode},
+  title=\lstname,
+}
+
+\usepackage{minted}
+\usemintedstyle{emacs}