Index: branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 9019)
+++ branches/2017/dev_merge_2017/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 9363)
@@ -43,5 +43,5 @@
 \begin{figure}[!tb]    \begin{center}
 \includegraphics[width=0.90\textwidth]{Fig_cell}
-\caption{ \label{Fig_cell}    
+\caption{ \protect\label{Fig_cell}    
 Arrangement of variables. $t$ indicates scalar points where temperature, 
 salinity, density, pressure and horizontal divergence are defined. ($u$,$v$,$w$) 
@@ -95,5 +95,5 @@
 fw	& $i+1/2$ 	& $j+1/2$	& $k+1/2$ 	\\ \hline
 \end{tabular}
-\caption{ \label{Tab_cell}
+\caption{ \protect\label{Tab_cell}
 Location of grid-points as a function of integer or integer and a half value of the column, 
 line or level. This indexing is only used for the writing of the semi-discrete equation. 
@@ -204,5 +204,5 @@
 \begin{figure}[!tb]  \begin{center}
 \includegraphics[width=0.90\textwidth]{Fig_index_hor}
-\caption{   \label{Fig_index_hor}    
+\caption{   \protect\label{Fig_index_hor}    
 Horizontal integer indexing used in the \textsc{Fortran} code. The dashed area indicates 
 the cell in which variables contained in arrays have the same $i$- and $j$-indices}
@@ -254,5 +254,5 @@
 \begin{figure}[!pt]    \begin{center}
 \includegraphics[width=.90\textwidth]{Fig_index_vert}
-\caption{ \label{Fig_index_vert}     
+\caption{ \protect\label{Fig_index_vert}     
 Vertical integer indexing used in the \textsc{Fortran } code. Note that 
 the $k$-axis is orientated downward. The dashed area indicates the cell in 
@@ -324,5 +324,5 @@
 % ================================================================
 \section  [Domain: Horizontal Grid (mesh) (\textit{domhgr})]               
-		{Domain: Horizontal Grid (mesh) \small{(\mdl{domhgr} module)} }
+		{Domain: Horizontal Grid (mesh) \small{(\protect\mdl{domhgr} module)} }
 \label{DOM_hgr}
 
@@ -388,5 +388,5 @@
 \begin{figure}[!t]     \begin{center}
 \includegraphics[width=0.90\textwidth]{Fig_zgr_e3}
-\caption{ \label{Fig_zgr_e3}    
+\caption{ \protect\label{Fig_zgr_e3}    
 Comparison of (a) traditional definitions of grid-point position and grid-size in the vertical, 
 and (b) analytically derived grid-point position and scale factors. 
@@ -428,5 +428,5 @@
 % ================================================================
 \section  [Domain: Vertical Grid (\textit{domzgr})]
-		{Domain: Vertical Grid \small{(\mdl{domzgr} module)} }
+		{Domain: Vertical Grid \small{(\protect\mdl{domzgr} module)} }
 \label{DOM_zgr}
 %-----------------------------------------nam_zgr & namdom-------------------------------------------
@@ -447,5 +447,5 @@
 \begin{figure}[!tb]    \begin{center}
 \includegraphics[width=1.0\textwidth]{Fig_z_zps_s_sps}
-\caption{  \label{Fig_z_zps_s_sps}   
+\caption{  \protect\label{Fig_z_zps_s_sps}   
 The ocean bottom as seen by the model: 
 (a) $z$-coordinate with full step, 
@@ -454,5 +454,5 @@
 (d) hybrid $s-z$ coordinate, 
 (e) hybrid $s-z$ coordinate with partial step, and 
-(f) same as (e) but in the non-linear free surface (\np{ln\_linssh}=false). 
+(f) same as (e) but in the non-linear free surface (\protect\np{ln\_linssh}=false). 
 Note that the non-linear free surface can be used with any of the 
 5 coordinates (a) to (e).}
@@ -550,6 +550,6 @@
 %        z-coordinate  and reference coordinate transformation
 % -------------------------------------------------------------------------------------------------------------
-\subsection[$z$-coordinate (\np{ln\_zco}]
-	  	  {$z$-coordinate (\np{ln\_zco}=true) and reference coordinate}
+\subsection[$z$-coordinate (\protect\np{ln\_zco}]
+	  	  {$z$-coordinate (\protect\np{ln\_zco}=true) and reference coordinate}
 \label{DOM_zco}
 
@@ -557,5 +557,5 @@
 \begin{figure}[!tb]    \begin{center}
 \includegraphics[width=0.90\textwidth]{Fig_zgr}
-\caption{ \label{Fig_zgr}    
+\caption{ \protect\label{Fig_zgr}    
 Default vertical mesh for ORCA2: 30 ocean levels (L30). Vertical level functions for 
 (a) T-point depth and (b) the associated scale factor as computed 
@@ -679,5 +679,5 @@
 31	& 	\textbf{5250.23}&	5000.00 &	\textbf{500.56} &	500.33 \\ \hline
 \end{tabular} \end{center} 
-\caption{ \label{Tab_orca_zgr}   
+\caption{ \protect\label{Tab_orca_zgr}   
 Default vertical mesh in $z$-coordinate for 30 layers ORCA2 configuration as computed 
 from \eqref{DOM_zgr_ana} using the coefficients given in \eqref{DOM_zgr_coef}}
@@ -688,6 +688,6 @@
 %        z-coordinate with partial step
 % -------------------------------------------------------------------------------------------------------------
-\subsection   [$z$-coordinate with partial step (\np{ln\_zps})]
-			{$z$-coordinate with partial step (\np{ln\_zps}=.true.)}
+\subsection   [$z$-coordinate with partial step (\protect\np{ln\_zps})]
+			{$z$-coordinate with partial step (\protect\np{ln\_zps}=.true.)}
 \label{DOM_zps}
 %--------------------------------------------namdom-------------------------------------------------------
@@ -721,6 +721,6 @@
 %        s-coordinate
 % -------------------------------------------------------------------------------------------------------------
-\subsection   [$s$-coordinate (\np{ln\_sco})]
-		     {$s$-coordinate (\np{ln\_sco}=true)}
+\subsection   [$s$-coordinate (\protect\np{ln\_sco})]
+		     {$s$-coordinate (\protect\np{ln\_sco}=true)}
 \label{DOM_sco}
 %------------------------------------------nam_zgr_sco---------------------------------------------------
@@ -790,5 +790,5 @@
 \begin{figure}[!ht]    \begin{center}
 \includegraphics[width=1.0\textwidth]{Fig_sco_function}
-\caption{  \label{Fig_sco_function}   
+\caption{  \protect\label{Fig_sco_function}   
 Examples of the stretching function applied to a seamount; from left to right: 
 surface, surface and bottom, and bottom intensified resolutions}
@@ -850,5 +850,5 @@
 %        z*- or s*-coordinate
 % -------------------------------------------------------------------------------------------------------------
-\subsection{$z^*$- or $s^*$-coordinate (\np{ln\_linssh}=false) }
+\subsection{$z^*$- or $s^*$-coordinate (\protect\np{ln\_linssh}=false) }
 \label{DOM_zgr_star}
 
@@ -913,5 +913,5 @@
 % ================================================================
 \section  [Domain: Initial State (\textit{istate and dtatsd})]
-		{Domain: Initial State \small{(\mdl{istate} and \mdl{dtatsd} modules)} }
+		{Domain: Initial State \small{(\protect\mdl{istate} and \protect\mdl{dtatsd} modules)} }
 \label{DTA_tsd}
 %-----------------------------------------namtsd-------------------------------------------